<?php

namespace App\Enums;

enum GameStatus: string
{
    case Active = 'active';
    case Disabled = 'disabled';

    public function label(): string
    {
        return match ($this) {
            self::Active => __('enums.game_status.active'),
            self::Disabled => __('enums.game_status.disabled'),
        };
    }
}
